%define upstream_name    UUID-Tiny
%define upstream_version 1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Pure Perl UUID functions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/UUID/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::File)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildArch:  noarch

%description
UUID::Tiny is a lightweight, low dependency Pure Perl module for UUID
creation and testing. This module provides the creation of version 1 time
based UUIDs (using random multicast MAC addresses), version 3 MD5 based
UUIDs, version 4 random UUIDs, and version 5 SHA-1 based UUIDs.

ATTENTION! UUID::Tiny uses Perl's 'rand()' to create the basic random
numbers, so the created v4 UUIDs are *not* cryptographically strong!

No fancy OO interface, no plethora of different UUID representation formats
and transformations - just string and binary. Conversion, test and time
functions equally accept UUIDs and UUID strings, so don't bother to convert
UUIDs for them!

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/UUID/

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.40.0-6.mga6
+ Revision: 1035671
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 1.40.0-5.mga6
+ Revision: 935005
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.40.0-4.mga5
+ Revision: 743507
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.40.0-3.mga5
+ Revision: 686779
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.40.0-2.mga4
+ Revision: 532858
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 sander85 <sander85> 1.40.0-1.mga4
+ Revision: 469775
- update to 1.04

* Sun Jan 13 2013 umeabot <umeabot> 1.30.0-2.mga3
+ Revision: 374598
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.30.0-1.mga1
+ Revision: 32532
- mageia rebuild
- imported package perl-UUID-Tiny


* Thu Apr 29 2010 Michael Scherer <misc@mandriva.org> 1.30.0-1mdv2010.1
+ Revision: 541073
- import perl-UUID-Tiny


* Thu Apr 29 2010 cpan2dist 1.03-1mdv
- initial mdv release, generated with cpan2dist
